---
title: Activities
---

Activites are the things students are expected to _attend_ for a module. These are from the student's perspective. The _module_ window shows the currently planned activities as well as the expected hours based on the _structured learning activities (SLA)_ planned for this module.

## Activities

![Activity Window](images/win_activity.png)

| Name | Description                                | Example |
| ---- | ------------------------------------------ | ------- |
| Label | The name of the activity (student facing) | Computing Concepts |
| Type | The type of activity (lecture, online workshop, etc...) | Lecture |
| Sequence Notes | Information relating to when this activity should be scheduled | After induction |
| Duration | The length of **each** session (in hours) | 2 |
| Week Range(s) | The study-block weeks this activity will run in | 1-5,7-9 |
| Week Count | The total number of weeks the activity runs for (automatically calculated) | 6 |
| Staff per Session | How many staff should be attached to each session? | 1 |
| Students per Group | How many students should be in each session? | 15 |

**TIP** If an activity doesn't need to be repeated, leave students per group **blank** - the tool should show `(everyone)`

## Mangaging Iterations

Once an activity has been created, you need to create [iterations](iteration) to tell the tool which staff and rooms should be attached to the activity. If you do not do this, the activity will **not** be scheduled. 

The tool will try to calculate the required iteration count based on the students attached to the module, and the provided 'students per group' if the number of iterations does not match, a warning triangle should be displayed next to the activity. 
